package jalview.io;

import jalview.api.AlignExportSettingI;
import jalview.api.AlignmentViewPanel;
import jalview.api.FeatureSettingsModelI;
import jalview.datamodel.AlignmentI;
import jalview.datamodel.SequenceI;

public interface AlignmentFileI
{

  SequenceI[] getSeqsAsArray();

  void addAnnotations(AlignmentI al);

  void addGroups(AlignmentI al);

  void setNewlineString(String newline);

  void setExportSettings(AlignExportSettingI exportSettings);

  void configureForView(AlignmentViewPanel viewpanel);

  void setSeqs(SequenceI[] sequencesArray);

  String print(SequenceI[] seqs, boolean jvsuffix);

  boolean hasWarningMessage();

  String getWarningMessage();

  String getInFile();

  DataSourceType getDataSourceType();

  FeatureSettingsModelI getFeatureColourScheme();

}
